/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //
    pageWidth : function () {"use strict";
        return document.documentElement.clientWidth;
    },

    // OBJ TO HOLD USERS CURRENT WEBPAGE LOCATION
    currentPage : window.location.pathname.substring (window.location.pathname.lastIndexOf ('/') + 1),

    video: function() {
    	"use strict";

    	$(".video-link, .iframe-link").each(function(e){
      	  if( $(this).data("thumb") != "" ){
        	  $(this).html('<div class="video-thumb"><img src="'+ $(this).data("thumb") +'" class="w100"></div>');
      	  } else {
        	  $(this).html('<div class="video-thumb"><img src="http://img.youtube.com/vi/'+ $(this).data("id") +'/hqdefault.jpg" class="w100"></div>');
      	  }
      	 if( $(this).data("caption") != "" ){
        	  $(this).append("<h3 class='video-caption'>"+$(this).data("caption")+"</h3>");
      	  }
    	});

    	$(document).on("click",".video-link",function(e){
    	    e.preventDefault();
    	    if( $("#video-overlay-close").length == 0 ){
      	    $("#video-overlay").append('<a id="video-overlay-close"></a>');
    	    }
          if( $('body').hasClass('for-your-consideration') ){
            $("#video-overlay-inner").html('<div class="video"><iframe src="https://player.vimeo.com/video/'+ $(this).data("id") +'&autoplay=1" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>');
            $("html").addClass("video-overlay-open");
          } else {
            $("#video-overlay-inner").html('<div class="video"><iframe src="https://www.youtube.com/embed/'+ $(this).data("id") +'?rel=0&modestbranding=1&autohide=1&showinfo=0&autoplay=1" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>');
            $("html").addClass("video-overlay-open");
          }
    	});

    	$(document).on("click",".iframe-link",function(e){
    	    e.preventDefault();
    	    if( $("#video-overlay-close").length == 0 ){
      	    $("#video-overlay").append('<a id="video-overlay-close"></a>');
    	    }
          if( $('body').hasClass('for-your-consideration') ){
            $("#video-overlay-inner").html('<div class="iframe"><iframe src="'+ $(this).attr("href") +'" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>');
            $("html").addClass("video-overlay-open");
            $("html").addClass("iframe-overlay-open");
          }
    	});

    	$(document).on("click","#video-overlay-close, #video-overlay",function(e){
    	    e.preventDefault();
        	$("#video-overlay-inner").html('');
        	$("html").removeClass("video-overlay-open");
        	$("html").removeClass("iframe-overlay-open");
    	});

    },

    quotes: function() {
    	"use strict";
      //$('#quotes').quote_rotator();
    }
};


// jQuery Namespace
$ (document).ready (function () {"use strict";
    $('html').addClass('page-loaded');
    COMMONUTILS.video();

    
  
  //Quote Rotator
  /*
  $('#quotes').slick({
    slidesToShow: 1,
    slidesToScroll: 1,
    arrows:false,
    autoplay:true,
    autoplaySpeed:3500,
    fade:true
  });
*/
    // news section
    $(".news-link").hide();
    $(".news-item").each(function(i){
      var newHtml = '<a href="'+$(this).children(".news-link").html()+'" target="_blank">'+$(this).html()+'</a>';
      //$(this).children("a").attr("href", $(this).children("a").children(".news-link").html() );
      $(this).html(newHtml);
      //console.log( $(this).children("a").children(".news-link").html() );
    });

    $(".news-img").each(function(){
      var imgSRC = $(this).children("img").attr("src");
      //console.log(imgSRC);
      $(this).css({
        "background-image" : "url(" + imgSRC + ")",
        "backgroundSize" : "cover"
      });
      $(this).children("img").css({"opacity":0});
    });

    $('#news-items').slick({
      slidesToShow: 3,
      slidesToScroll: 1,
      dots: false,
      prevArrow: $('#news-prev'),
      nextArrow: $('#news-next'),
      responsive: [
        {
          breakpoint: 767,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1
          }
        },
        {
          breakpoint: 1024,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 1
          }
        }
      ]
    });

    function artHeight() {
      var artHt = $('.tree').height();
      $('#keyart').height(artHt);
      $('#hero').height(artHt);
      $('.layer').height(artHt);
    }

    artHeight();

    $( window ).resize(function() {
      artHeight();
    });

    window.addEventListener('scroll', function(event) {
      executeParallax();
    });

    $('#gallery-video').slick({
      slidesToShow: 1,
      slidesToScroll: 1,
      dots: false,
      centerMode: false,
      prevArrow: $('#gallery-prev-top'),
      nextArrow: $('#gallery-next-top'),
      responsive: [
        {
            breakpoint: 768,
            settings: {
                dots: true,
                centerMode: false,
            }
        }
      ]
    });

    function executeParallax() {
      var depth, i, layer, layers, len, movement, topDistance, translate3d;
      topDistance = window.pageYOffset;
      layers = document.querySelectorAll("[data-type='parallax']");
      for (i = 0, len = layers.length; i < len; i++) {
        layer = layers[i];
        depth = layer.getAttribute('data-depth');
        movement = -(topDistance * depth);
        translate3d = 'translate3d(0, ' + movement + 'px, 0)';
        layer.style['-webkit-transform'] = translate3d;
        layer.style['-moz-transform'] = translate3d;
        layer.style['-ms-transform'] = translate3d;
        layer.style['-o-transform'] = translate3d;
        layer.style.transform = translate3d;
      }
    }

    var deviceIsMobile = false; //At the beginning we set this flag as false. If we can detect the device is a mobile device in the next line, then we set it as true.

    if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent)
        || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,4))) {
       deviceIsMobile = true;
    }
    
    executeParallax();

});

// Detect WebP

/* modernizr - adds webp class if webp compatible */
/*! modernizr 3.6.0 (Custom Build) | MIT *
 * https://modernizr.com/download/?-webp-setclasses !*/
 !function(e,n,A){function o(e,n){return typeof e===n}function t(){var e,n,A,t,a,i,l;for(var f in r)if(r.hasOwnProperty(f)){if(e=[],n=r[f],n.name&&(e.push(n.name.toLowerCase()),n.options&&n.options.aliases&&n.options.aliases.length))for(A=0;A<n.options.aliases.length;A++)e.push(n.options.aliases[A].toLowerCase());for(t=o(n.fn,"function")?n.fn():n.fn,a=0;a<e.length;a++)i=e[a],l=i.split("."),1===l.length?Modernizr[l[0]]=t:(!Modernizr[l[0]]||Modernizr[l[0]]instanceof Boolean||(Modernizr[l[0]]=new Boolean(Modernizr[l[0]])),Modernizr[l[0]][l[1]]=t),s.push((t?"":"no-")+l.join("-"))}}function a(e){var n=u.className,A=Modernizr._config.classPrefix||"";if(c&&(n=n.baseVal),Modernizr._config.enableJSClass){var o=new RegExp("(^|\\s)"+A+"no-js(\\s|$)");n=n.replace(o,"$1"+A+"js$2")}Modernizr._config.enableClasses&&(n+=" "+A+e.join(" "+A),c?u.className.baseVal=n:u.className=n)}function i(e,n){if("object"==typeof e)for(var A in e)f(e,A)&&i(A,e[A]);else{e=e.toLowerCase();var o=e.split("."),t=Modernizr[o[0]];if(2==o.length&&(t=t[o[1]]),"undefined"!=typeof t)return Modernizr;n="function"==typeof n?n():n,1==o.length?Modernizr[o[0]]=n:(!Modernizr[o[0]]||Modernizr[o[0]]instanceof Boolean||(Modernizr[o[0]]=new Boolean(Modernizr[o[0]])),Modernizr[o[0]][o[1]]=n),a([(n&&0!=n?"":"no-")+o.join("-")]),Modernizr._trigger(e,n)}return Modernizr}var s=[],r=[],l={_version:"3.6.0",_config:{classPrefix:"",enableClasses:!0,enableJSClass:!0,usePrefixes:!0},_q:[],on:function(e,n){var A=this;setTimeout(function(){n(A[e])},0)},addTest:function(e,n,A){r.push({name:e,fn:n,options:A})},addAsyncTest:function(e){r.push({name:null,fn:e})}},Modernizr=function(){};Modernizr.prototype=l,Modernizr=new Modernizr;var f,u=n.documentElement,c="svg"===u.nodeName.toLowerCase();!function(){var e={}.hasOwnProperty;f=o(e,"undefined")||o(e.call,"undefined")?function(e,n){return n in e&&o(e.constructor.prototype[n],"undefined")}:function(n,A){return e.call(n,A)}}(),l._l={},l.on=function(e,n){this._l[e]||(this._l[e]=[]),this._l[e].push(n),Modernizr.hasOwnProperty(e)&&setTimeout(function(){Modernizr._trigger(e,Modernizr[e])},0)},l._trigger=function(e,n){if(this._l[e]){var A=this._l[e];setTimeout(function(){var e,o;for(e=0;e<A.length;e++)(o=A[e])(n)},0),delete this._l[e]}},Modernizr._q.push(function(){l.addTest=i}),Modernizr.addAsyncTest(function(){function e(e,n,A){function o(n){var o=n&&"load"===n.type?1==t.width:!1,a="webp"===e;i(e,a&&o?new Boolean(o):o),A&&A(n)}var t=new Image;t.onerror=o,t.onload=o,t.src=n}var n=[{uri:"data:image/webp;base64,UklGRiQAAABXRUJQVlA4IBgAAAAwAQCdASoBAAEAAwA0JaQAA3AA/vuUAAA=",name:"webp"},{uri:"data:image/webp;base64,UklGRkoAAABXRUJQVlA4WAoAAAAQAAAAAAAAAAAAQUxQSAwAAAABBxAR/Q9ERP8DAABWUDggGAAAADABAJ0BKgEAAQADADQlpAADcAD++/1QAA==",name:"webp.alpha"},{uri:"data:image/webp;base64,UklGRlIAAABXRUJQVlA4WAoAAAASAAAAAAAAAAAAQU5JTQYAAAD/////AABBTk1GJgAAAAAAAAAAAAAAAAAAAGQAAABWUDhMDQAAAC8AAAAQBxAREYiI/gcA",name:"webp.animation"},{uri:"data:image/webp;base64,UklGRh4AAABXRUJQVlA4TBEAAAAvAAAAAAfQ//73v/+BiOh/AAA=",name:"webp.lossless"}],A=n.shift();e(A.name,A.uri,function(A){if(A&&"load"===A.type)for(var o=0;o<n.length;o++)e(n[o].name,n[o].uri)})}),t(),a(s),delete l.addTest,delete l.addAsyncTest;for(var p=0;p<Modernizr._q.length;p++)Modernizr._q[p]();e.Modernizr=Modernizr}(window,document);
// EOF